Developer Documentation

API Reference

Complete REST API documentation for building integrations and custom applications with kikou.

RESTful API

Standard HTTP methods and JSON responses

API Keys

Secure authentication with rotating keys

Rate Limiting

1,000 requests/min on Pro, unlimited Enterprise

Webhooks

Real-time event notifications

SDKs Available

JavaScript, Python, Go, Ruby

OpenAPI Spec

Full OpenAPI 3.0 specification available

Base URL

https://api.kikou.ai/v1

All API requests should be made to this base URL. Include your API key in the Authorization header.

API Endpoints

Authentication

POST/api/v1/auth/login

Authenticate and get access token

POST/api/v1/auth/refresh

Refresh expired access token

POST/api/v1/auth/logout

Invalidate current session

Workflows

GET/api/v1/workflows

List all workflows

POST/api/v1/workflows

Create new workflow

GET/api/v1/workflows/{id}

Get workflow details

PUT/api/v1/workflows/{id}

Update workflow

DELETE/api/v1/workflows/{id}

Delete workflow

POST/api/v1/workflows/{id}/execute

Trigger workflow execution

AI Agents

GET/api/v1/agents

List all AI agents

POST/api/v1/agents

Create new AI agent

GET/api/v1/agents/{id}

Get agent configuration

PUT/api/v1/agents/{id}

Update agent settings

POST/api/v1/agents/{id}/invoke

Invoke AI agent

Executions

GET/api/v1/executions

List workflow executions

GET/api/v1/executions/{id}

Get execution details

GET/api/v1/executions/{id}/logs

Get execution logs

POST/api/v1/executions/{id}/retry

Retry failed execution

Integrations

GET/api/v1/integrations

List available integrations

GET/api/v1/integrations/{id}

Get integration details

POST/api/v1/connections

Create integration connection

GET/api/v1/connections

List active connections

Code Examples

cURL

curl -X POST https://api.kikou.ai/v1/workflows \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Customer Onboarding",
    "trigger": "webhook",
    "steps": [...]
  }'

JavaScript

const response = await fetch('https://api.kikou.ai/v1/workflows', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_KEY',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    name: 'Customer Onboarding',
    trigger: 'webhook',
    steps: [...]
  })
});

const workflow = await response.json();

Python

import requests

response = requests.post(
    'https://api.kikou.ai/v1/workflows',
    headers={
        'Authorization': 'Bearer YOUR_API_KEY',
        'Content-Type': 'application/json'
    },
    json={
        'name': 'Customer Onboarding',
        'trigger': 'webhook',
        'steps': [...]
    }
)

workflow = response.json()

Get Your API Key

Sign up for free and start building with the Kikou API today.